Skip to navigation

Request External TSP Integration

Request integration for an external TSP on behalf of a fleet during onboarding.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

ext_tsp_idstringRequiredformat: "uuid"
The ID of the external TSP to request integration for

Request

This endpoint expects a nullable object.
fleet_contact_namestring or nullOptional
fleet_contact_emailstring or nullOptionalformat: "email"
fleet_contact_notesstring or nullOptional

Response

Successful Response
idstringformat: "uuid"
Unique integration request identifier
ext_tsp_idstringformat: "uuid"
The external TSP that was requested for integration
ext_tsp_namestring
Name of the external TSP at the time of request
ext_tsp_compliance_statusenum

Compliance status at the time of request. ‘compliant’ = at least one device registered, ‘non_compliant’ = ALL devices revoked, ‘unknown’ = not linked to a registry

Allowed values:
fleet_idstringformat: "uuid"
The fleet requesting integration
fleet_refstring
External fleet identifier from the partner's system
partner_idstringformat: "uuid"
The partner requesting the integration
invitation_idstringformat: "uuid"
The related invitation for the fleet requesting the integration
created_atdatetime
When the integration request was created
updated_atdatetime
Last modification timestamp
fleet_contact_namestring or nullOptional
Contact name provided by the fleet
fleet_contact_notesstring or nullOptional
Notes provided by the fleet
integrated_tsp_idslist of stringsOptional
List of TSP IDs that are integrated for this external TSP. Empty if not yet integrated.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
500
Internal Server Error